import './Single.styles_am7gtf.css';
import { styled } from '@linaria/react';
import { tokens } from '../../Slider.tokens.js';
import { BaseSliderContainer, BaseStyledTrack, BaseStyledRange } from '../SliderBase/SliderBase.styles.js';
export { Label, LabelWrapper } from '../SliderBase/SliderBase.styles.js';

var LabelContent = /*#__PURE__*/styled('div')({
  name: "LabelContent",
  "class": "l1qgxfld",
  propsAsIs: false
});
var StyledRangeValue = /*#__PURE__*/styled('span')({
  name: "StyledRangeValue",
  "class": "s443qne",
  propsAsIs: false
});
var _exp11 = function _exp11() {
  return BaseSliderContainer;
};
var SliderContainer = /*#__PURE__*/styled(_exp11())({
  name: "SliderContainer",
  "class": "ssq30gy",
  propsAsIs: true
});
var _exp16 = function _exp16() {
  return BaseStyledTrack;
};
var StyledTrack = /*#__PURE__*/styled(_exp16())({
  name: "StyledTrack",
  "class": "s3kc6nm",
  propsAsIs: true
});
var StyledProgress = /*#__PURE__*/styled('div')({
  name: "StyledProgress",
  "class": "sdxny01",
  propsAsIs: false
});
var StyledCurrentValue = /*#__PURE__*/styled('span')({
  name: "StyledCurrentValue",
  "class": "sbrgou",
  propsAsIs: false
});
var _exp57 = function _exp57() {
  return function (_ref) {
    var tickValue = _ref.tickValue;
    return "\"".concat(tickValue, "\"");
  };
};
var _exp58 = function _exp58() {
  return function (_ref2) {
    var isVertical = _ref2.isVertical,
      scaleAlign = _ref2.scaleAlign;
    if (isVertical) return '50%';
    if (scaleAlign === 'top') return 'auto';
    return '0';
  };
};
var _exp59 = function _exp59() {
  return function (_ref3) {
    var isVertical = _ref3.isVertical,
      scaleAlign = _ref3.scaleAlign;
    if (!isVertical && scaleAlign === 'top') return '0';
    return 'unset';
  };
};
var _exp60 = function _exp60() {
  return function (_ref4) {
    var isVertical = _ref4.isVertical,
      sliderAlign = _ref4.sliderAlign;
    if (isVertical) {
      if (sliderAlign === 'right') {
        return 'unset';
      }
      return '0';
    }
    return '0';
  };
};
var _exp61 = function _exp61() {
  return function (_ref5) {
    var isVertical = _ref5.isVertical,
      sliderAlign = _ref5.sliderAlign;
    if (isVertical && sliderAlign === 'right') {
      return '0';
    }
    return 'unset';
  };
};
var _exp62 = function _exp62() {
  return function (_ref6) {
    var isVertical = _ref6.isVertical;
    return isVertical ? 'translateY(-50%)' : 'translateX(-50%)';
  };
};
var ScaleTick = /*#__PURE__*/styled('div')({
  name: "ScaleTick",
  "class": "s1lzqyyo",
  propsAsIs: false,
  vars: {
    "s1lzqyyo-0": [/*#__PURE__*/_exp57()],
    "s1lzqyyo-1": [/*#__PURE__*/_exp58()],
    "s1lzqyyo-2": [/*#__PURE__*/_exp59()],
    "s1lzqyyo-3": [/*#__PURE__*/_exp60()],
    "s1lzqyyo-4": [/*#__PURE__*/_exp61()],
    "s1lzqyyo-5": [/*#__PURE__*/_exp62()]
  }
});
var _exp64 = function _exp64() {
  return function (_ref7) {
    var isVertical = _ref7.isVertical,
      scaleAlign = _ref7.scaleAlign;
    if (isVertical) {
      return '50%';
    }
    if (scaleAlign === 'top') {
      return "calc(100% + var(".concat(tokens.size, ") / 2)");
    }
    return "calc(var(".concat(tokens.size, ") / -2)");
  };
};
var _exp65 = function _exp65() {
  return function (_ref8) {
    var isVertical = _ref8.isVertical,
      sliderAlign = _ref8.sliderAlign;
    if (isVertical) {
      if (sliderAlign === 'right') {
        return "calc(100% + var(".concat(tokens.size, ") / 2)");
      }
      return "calc(var(".concat(tokens.size, ") / -2)");
    }
    return '0';
  };
};
var _exp68 = function _exp68() {
  return function (_ref9) {
    var filled = _ref9.filled;
    return filled ? "var(".concat(tokens.tickDotFilledColor, ")") : "var(".concat(tokens.tickDotColor, ")");
  };
};
var ScaleTickDot = /*#__PURE__*/styled('span')({
  name: "ScaleTickDot",
  "class": "s1audm2t",
  propsAsIs: false,
  vars: {
    "s1audm2t-0": [/*#__PURE__*/_exp64()],
    "s1audm2t-1": [/*#__PURE__*/_exp65()],
    "s1audm2t-2": [/*#__PURE__*/_exp68()]
  }
});
var _exp70 = function _exp70() {
  return function (_ref0) {
    var isVertical = _ref0.isVertical;
    return isVertical ? 'b' : 'c';
  };
};
var _exp71 = function _exp71() {
  return function (_ref1) {
    var isVertical = _ref1.isVertical;
    return isVertical ? 'b' : 'b';
  };
};
var _exp72 = function _exp72() {
  return function (_ref10) {
    var isVertical = _ref10.isVertical;
    return isVertical ? 'c' : 'b';
  };
};
var ScaleTicksWrapper = /*#__PURE__*/styled('datalist')({
  name: "ScaleTicksWrapper",
  "class": "sg4mmvu",
  propsAsIs: false,
  vars: {
    "sg4mmvu-0": [/*#__PURE__*/_exp71()],
    "sg4mmvu-1": [/*#__PURE__*/_exp70()],
    "sg4mmvu-2": [/*#__PURE__*/_exp72()]
  }
});
var _exp73 = function _exp73() {
  return BaseStyledRange;
};
var _exp74 = function _exp74() {
  return function (_ref11) {
    var showPointer = _ref11.showPointer;
    return showPointer === false ? 'none' : 'auto';
  };
};
var StyledRange = /*#__PURE__*/styled(_exp73())({
  name: "StyledRange",
  "class": "s1bf0ief",
  propsAsIs: true,
  vars: {
    "s1bf0ief-0": [/*#__PURE__*/_exp74()]
  }
});
var SliderBaseWrapper = /*#__PURE__*/styled('div')({
  name: "SliderBaseWrapper",
  "class": "smf4wpk",
  propsAsIs: false
});
var _exp135 = function _exp135() {
  return function (_ref12) {
    var hasTicks = _ref12.hasTicks;
    return hasTicks ? "'a b'\n                'a c'" : "'b'\n                    'a'\n                    'a'\n                    'c'";
  };
};
var SingleWrapper = /*#__PURE__*/styled('div')({
  name: "SingleWrapper",
  "class": "s10uyn4e",
  propsAsIs: false,
  vars: {
    "s10uyn4e-0": [/*#__PURE__*/_exp135()]
  }
});

export { LabelContent, ScaleTick, ScaleTickDot, ScaleTicksWrapper, SingleWrapper, SliderBaseWrapper, SliderContainer, StyledCurrentValue, StyledProgress, StyledRange, StyledRangeValue, StyledTrack };
